--- src/java/org/jivesoftware/openfire/ldap/LdapGroupProvider.java_orig	2007-12-03 18:15:52.000000000 +0100
+++ src/java/org/jivesoftware/openfire/ldap/LdapGroupProvider.java	2007-12-03 18:15:59.000000000 +0100
@@ -727,6 +727,12 @@
                     }
                     Collection<JID> admins = Collections.emptyList();
                     Group group = new Group(name, description, members, admins);
+                    //Auto share groups from LDAP
+                    if(group.getProperties().size()==0) {
+                        group.getProperties().put("sharedRoster.showInRoster", "onlyGroup");
+                        group.getProperties().put("sharedRoster.displayName", name);
+                        group.getProperties().put("sharedRoster.groupList", "");
+                    }
                     groups.put(name, group);
                 }
                 catch (Exception e) {
